主機板爆電還能裝Linux,是這樣的嗎?

您也許也會喜歡…

13 個回應

  1. neo 說:

    debian 的 dependency 比較clean. 不會隨意裝不需要的 package. 我用 etch (upgrade to lenny ) 跑 openbox 時 (initial build) 總共只用掉 約200m ram. FYI

  2. Amadeus 說:

    我記得Fedora系列很容易做好安全防護吧!
    gnome選單中有個系統設定,
    裡面有防火牆設定。
    把一些port鎖起來就好了^^

    對了,vsy,
    妳中文字型產生的問題,一般稱為『中文字體破碎』,
    把firefly(一個字型處理高手)patch過的套件裝好,
    這個問題就解決了。
    到這裡: http://firefly.idv.tw/setfont-xft/Fedora/
    進去Core_3/RPMS/資料夾,下載那三個rpm檔案,
    再進入Core_1/RPMS/資料夾,下載 freetype 開頭的那四個檔案。

    解說一下:

    共有fontconfig系列兩個檔案,libXft一個,FC3的套件,
    freetype系列四個,屬於FC1的套件。

    更新fontconfig與libXft可以讓中文字型顯示的好一點,
    不會看起來糊糊的,粗體字也會正確顯示。

    更換freetype系列套件,則可以解決字體破碎問題。
    那為什麼只有Core 1有freetype的更新呢?
    因為字體破碎只會發生在部份字型,
    微軟的新細明體以及華康系列都會破碎。
    但後來firefly自行研發了免費的內嵌點陣字型(文鼎新宋體),
    文鼎新宋沒有破碎問題。
    他鼓勵大家使用文鼎新宋解決字型問題,
    因此只更新fontconfig與libXft,
    不再為freetype解決字型破碎的問題了。
    但我覺得我們仍可能付費去買一些中文字型,
    用在一些文書處理之類的工作上。
    所以這個patch仍有必要。
    在freetype發行者自動為中文使用者解決這個問題之前,
    freetype這部份暫時用core 1 的舊版本吧!

    因為預先安裝於fedora core 3的freetype版本比下載的新,
    所以系統不會允許妳『倒退』到舊版本。
    應該要先移除才能安裝,但freetype有許多複雜糾結的相依性,所以要用『–nodeps』忽略這個問題。
    切換至root使用者,
    rpm -e –nodeps freetype freetype-demos freetype-devel freetype-utils
    上面的動作有點危險,要特別注意!
    因為freetype已經被移除掉了,所以若不立即安裝替代的回來,
    下次就無法進入X-window了!

    所以移除這四個套件後,馬上把剛剛下載的七個rpm安裝好,
    這裡面包含了四個替代的freetype,而因為fontconfig 與 libXft是修改自FC3的套件版本,
    所以沒有版本『倒退』的問題,不用先移除,使用下面指令,系統會幫妳自動更新。
    請先切換至那七個下載檔的保存資料夾,執行:
    rpm -Uvh fontconfig-2.2.3-14.firefly.i386.rpm fontconfig-devel-2.2.3-14.firefly.i386.rpm freetype-2.1.7-4.firefly.i386.rpm freetype-demos-2.1.7-4.firefly.i386.rpm freetype-devel-2.1.7-4.firefly.i386.rpm freetype-utils-2.1.7-4.firefly.i386.rpm libXft-2.1.6-3.firefly.i386.rpm

    (一次裝七個的原因,是因為它們也彼此有相依性)
    要確認沒有錯誤訊息喔!
    完成後重新登入即可解決中文字型問題。

  3. vsy 說:

    3Q倫倫跟Amadeus~我最後裝了文鼎新宋體,一個字型搞定:p

發表迴響